Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 507198 - dev-util/intltool-0.50.2-r1 fails not finding Perl's XML::Parser
Summary: dev-util/intltool-0.50.2-r1 fails not finding Perl's XML::Parser
Status: RESOLVED DUPLICATE of bug 41124
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 04:36 UTC by John L. Poole
Modified: 2014-04-09 06:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (507198_build.log,2.59 KB, text/plain)
2014-04-09 04:47 UTC, John L. Poole
Details
emerge info (emerge_info.txt,4.42 KB, text/plain)
2014-04-09 04:48 UTC, John L. Poole
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John L. Poole 2014-04-09 04:36:54 UTC
emerge of dev-util/intltool fails with:

checking for perl >= 5.8.1... 5.16.3
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool


Reproducible: Always

Steps to Reproduce:
1. emerge dev-util/intltool

Actual Results:  
checking for perl >= 5.8.1... 5.16.3
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-util/intltool-0.50.2-r1/work/intltool-0.50.2/config.log
 * ERROR: dev-util/intltool-0.50.2-r1::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 1848:  Called __eapi2_src_configure
 *   phase-helpers.sh, line  689:  Called econf
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=dev-util/intltool-0.50.2-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-util/intltool-0.50.2-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-util/intltool-0.50.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/intltool-0.50.2-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-util/intltool-0.50.2-r1/work/intltool-0.50.2'
 * S: '/var/tmp/portage/dev-util/intltool-0.50.2-r1/work/intltool-0.50.2'


Expected Results:  
successful build

Logs & requested information to follow in the next 20 minutes.

I do have XML::Parser installed via Gentoo's package system:
vmgentoo1 ~ # eix XML-Parser
[I] dev-perl/XML-Parser
     Available versions:  2.410.0 ~2.410.0-r1
     Installed versions:  2.410.0(21:48:19 12/09/12)
     Homepage:            http://search.cpan.org/dist/XML-Parser/
     Description:         A Perl extension interface to James Clark's XML parser, expat

vmgentoo1 ~ #
Comment 1 John L. Poole 2014-04-09 04:46:16 UTC
vmgentoo1 ~ # emerge -pqv '=dev-util/intltool-0.50.2-r1::gentoo'
[ebuild     U ] dev-util/intltool-0.50.2-r1 [0.50.2]

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

vmgentoo1 ~ #
Comment 2 John L. Poole 2014-04-09 04:47:47 UTC
Created attachment 374578 [details]
build log
Comment 3 John L. Poole 2014-04-09 04:48:01 UTC
Created attachment 374580 [details]
emerge info
Comment 4 John L. Poole 2014-04-09 05:13:32 UTC
Note: the problem may be with whatever tool is trying to ascertain XML::Parser.  In emeging x11-misc/shared-mime-info-1.2-r1, I got the same error message:

checking for gmsgfmt... /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.16.3
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-misc/shared-mime-info-1.2-r1/work/shared-mime-info-1.2/config.log
 * ERROR: x11-misc/shared-mime-info-1.2-r1::gentoo failed (configure phase):
 *   econf failed


I'll try re-emerging XML::Parser.
Comment 5 John L. Poole 2014-04-09 05:15:31 UTC
Fixed:  rebuilding XML-Parser resulted in dev-util/intltool-0.50.2-r1 successfully installing.
Comment 6 Samuli Suominen gentoo-dev 2014-04-09 06:58:59 UTC

*** This bug has been marked as a duplicate of bug 41124 ***